package form;

import java.beans.* ;
import java.lang.reflect.*;
import symphony.beans.events.*;

/**
 * BeanInfo for a Form Bean
 */

public class FormBeanInfo extends SimpleBeanInfo {

    public PropertyDescriptor[] getPropertyDescriptors() {
            PropertyDescriptor rv[] = { } ;
            return rv;
    }

    public MethodDescriptor[] getMethodDescriptors () {
 
      try {
	
        Method m1 = Form.class.getMethod ( "start", new Class[] { } ) ;
        MethodDescriptor md1 = new MethodDescriptor ( m1 ) ;
        md1.setShortDescription ( "Send an event to an output bean" ) ;
	MethodDescriptor[] methods = { md1 } ;
        return methods ;
      }
      catch ( Exception e ) {
        System.out.println ( "Exception thrown while getting method names" ) ;
        return super.getMethodDescriptors() ;
      }
    } 

    public BeanDescriptor getBeanDescriptor() {
        return new BeanDescriptor(beanClass, customizerClass);
    }

    public java.awt.Image getIcon(int iconKind) {
	if (iconKind == BeanInfo.ICON_MONO_16x16 ||
	    iconKind == BeanInfo.ICON_COLOR_16x16 ) {
	    java.awt.Image img = loadImage("parametersIcon.gif");
	    return img;
	}
	if (iconKind == BeanInfo.ICON_MONO_32x32 ||
	    iconKind == BeanInfo.ICON_COLOR_32x32 ) {
	    java.awt.Image img = loadImage("parametersIcon.gif");
	    return img;
	}
	return null;
    }

    private final static Class beanClass = Form.class ;
    private final static Class customizerClass = FormCustomizer.class ;
}
